

class StirrerFactory:
	@staticmethod
	def create(name, dt, params):
		if "sim" in name:
			from components.actor.stirrersim import StirrerSim
			return StirrerSim(dt)
		elif "1376" in name:
			from components.actor.stirrerpololu1376 import StirrerPololu1376
			return StirrerPololu1376(dt, params)
